StartMenu
Artist=minhtrimatrix@yahoo.com
;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata

----------------
[Dock]
Meter=IMAGE
X=0
Y=0
W=179
H=165
ImageName=Dock.png

[Icon1]
Meter=IMAGE
X=160
Y=15
W=76
H=76
ImageName=Icon1.png
LeftMouseDownAction=!Execute [::{20D04FE0-3AEA-1069-A2D8-08002B30309D}]

[Icon2]
Meter=IMAGE
X=115
Y=90
W=76
H=76
ImageName=Icon2.png

[Icon3]
Meter=IMAGE
X=35
Y=150
W=76
H=76
ImageName=Icon3.png

[Variables]
Font=Libeled Lady

;[METERS]


;LeftMouseDownAction=!Execute ["#CURRENTPATH#Shortcut to Date and Time.lnk"]
;LeftMouseDownAction=!Execute ["C:\Windows\System32\control.exe" /name Microsoft.DateAndTime]

[MeterWeek]
Meter=String
MeasureName=MeasureWeek
FontFace=#Font#
FontSize=14
FontColor=255,255,255,230
StringStyle=Normal
StringAlign=Center
AntiAlias=1
X=50
Y=10
W=150

[MeterDate]
Meter=String
MeasureName=MeasureDate
FontFace=#Font#
FontSize=16
FontColor=255,255,255,230
StringStyle=Normal
StringAlign=Center
AntiAlias=1
X=r
Y=35

[MeterYear]
Meter=String
MeasureName=Measureyear
FontFace=#Font#
FontSize=12
FontColor=255,255,255,230
StringStyle=Normal
StringAlign=Center
AntiAlias=1
X=35
Y=67

[MeasureWeek]
Measure=Time
Format="%A"

[MeasureDate]
Measure=Time
Format="%#d %B"
Substitute="January":"JAN","February":"FEB","March":"MAR","April":"APR","May":"MAY","June":"JUNE","July":"JULY","August":"AUG","September":"SEPT","October":"OCT","November":"NOV","December":"DEC"

[MeasureYear]
Measure=Time
Format=" %Y"

-----


[m.TopProcess]
Measure=Plugin
Plugin=Plugins\AdvancedCPU.dll
TopProcess=2
CPUExclude=Idle

[m.TopProcess2]
Measure=Plugin
Plugin=Plugins\AdvancedCPU.dll
TopProcess=1
CPUExclude=Idle

[MeasureUser]
Measure=Plugin
Plugin=Plugins\SysInfo.dll
SysInfoType=USER_NAME

[MeasureOS]
Measure=Plugin
Plugin=Plugins\SysInfo.dll
SysInfoType=OS_VERSION

[MeasureVersion]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=SOFTWARE\Microsoft\Windows NT\CurrentVersion
RegValue=CSDVersion
Substitute="0":"","Service ":"Serv. "

[MeasureUptime]
Measure=Uptime
Substitute="d":" day",":":" hour ","0 day":"","0 hour":""
UpdateDivider=60

[MeasurePowerSource]
Measure=Plugin
PlugIn=PlugIns\PowerPlugin.dll
PowerState=ACLINE
Substitute="0":"Battery","1":"AC Line"

[MeasurePercent]
Measure=Plugin
PlugIn=PlugIns\PowerPlugin.dll
PowerState=PERCENT
UpdateDivider=60

[MeasurePowerStatus]
Measure=Plugin
Plugin=Plugins\PowerPlugin.dll
PowerState=STATUS
Substitute="0":"No Battery","1":"Charging","2":"Critical","3":"Low","4":"High"
UpdateDivider=60

**********************

[Style]
FontColor=255,255,255,255
FontSize=12
StringAlign=Left
StringStyle=NORMAL
FontFace=Libeled Lady
AntiAlias=1

[User]
Meter=STRING
MeasureName=MeasureUser
X=243
Y=20
MeterStyle=Style
Text=%1


[OS]
Meter=STRING
MeasureName=MeasureOS
MeasureName2=MeasureVersion
X=r
Y=20r
MeterStyle=Style
Text=%1 %2

[l.CPUTopProcess]
MeasureName=m.TopProcess
MeasureName2=m.TopProcess2
Meter=STRING
X=243
Y=20r
W=100
H=100
MeterStyle=Style
StringAlign=Left
NumOfDecimals=1
Scale=100000
Text= "%1 %2%"
******

[MeasureBin]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=COUNT

[MeasureSize]
Measure=Plugin
Plugin=RecycleManager.dll
Drives=ALL
RecycleType=SIZE

[MeterCount]
Meter=STRING
MeasureName=MeasureBin
X=205
Y=100
MeterStyle=Style
Postfix=" items"
Text=%1
AntiAlias=1

[MeterSize]
Meter=STRING
MeasureName=MeasureSize
X=r
Y=20r
MeterStyle=Style
Text=%1
Postfix="B"
AutoScale=1
AntiAlias=1
NumOfDecimals=1

[MeterBinEmpty]
Meter=IMAGE
ImageName=Recycle.png
X=120
Y=95
W=76
H=76
Hidden=0
LeftMouseUpAction =!execute [::{645FF040-5081-101B-9F08-00AA002F954E}]

[MeterBinFull]
Meter=IMAGE
ImageName=RecycleFull.png
X=r
Y=r
W=76
H=76
Hidden=1
LeftMouseDownAction=!execute [!RainmeterPluginBang "MeasureBin OpenBin"]
RightMouseUpAction=!execute [!RainmeterPluginBang "MeasureBin EmptyBin"]

[BinAction]
Measure=Calc
Formula=MeasureBin
IfAboveAction=!execute [!RainmeterHideMeter MeterBinEmpty][!RainmeterShowMeter MeterBinFull]
IfAboveValue=0
IfEqualAction=!execute [!RainmeterHideMeter MeterBinFull][!RainmeterShowMeter MeterBinEmpty]
IfEqualValue=0

****
[Mse_DriveAccess]
Measure=Plugin
Plugin=Plugins\PerfMon.dll
PerfMonObject=LogicalDisk
PerfMonCounter="Disk Bytes/sec"
PerfMonInstance="C:"

[Rl_DriveAccess1]
Meter=Line
MeasureName=Mse_DriveAccess
X=240
Y=130
H=27
W=70
LineCount=1
LineColor=255, 255, 255, 180
AutoScale=1
AntiAlias=1

[Rl_DriveAccess2]
Meter=HISTOGRAM
MeasureName=Mse_DriveAccess
X=r
Y=r
H=25
W=70
PrimaryColor=255, 255, 255, 100
AutoScale=1
AntiAlias=1
AntiAlias=1

[Text]
Meter=STRING
X=206
Y=140
MeterStyle=Style
Text=HDD:
AntiAlias=1

****
[TCPIn]
Measure=NetIn
[TCPOut]
Measure=NetOut

;---WAN IP---

[MeasureWANIP]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=http://checkip.dyndns.org/%22
RegExp="(?siU)<body>(.+)Address: (.+)</body>"
StringIndex=2
UpdateRate=600

;[MeterWANIP]
Meter=String
MeasureName=MeasureWANIP
X=230
Y=16
StringAlign=Right
FontColor=255,255,255,180
FontSize=10
FontFace=Calibri
StringStyle=Italic
Prefix="IP: "
AntiAlias=1

[MeasureNetIn]
Measure=NetIn

[MeterNetIn]
Meter=String
MeasureName=MeasureNetIn
X=310
Y=185
StringAlign=Right
StringStyle=Italic
FontColor=255, 255, 255, 255
FontSize=10
FontFace=Calibri
StringStyle=Italic
NumOfDecimals=0
AutoScale=1
Text="%1b/s"
AntiAlias=1

[in.txt]
Meter=STRING
X=205
Y=185
FontColor=255, 255, 255, 255
FontSize=9
StringAlign=Left
StringStyle=Normal
FontFace=#Font#
AntiAlias=1
Text="Download:"

[MeasureNetOut]
Measure=NetOut

[MeterNetOut]
Meter=String
MeasureName=MeasureNetOut
X=310
Y=210
FontColor=255, 255, 255, 255
StringAlign=Right
StringStyle=Italic
FontSize=10
FontFace=Calibri
NumOfDecimals=0
AutoScale=1
Text="%1b/s"
AntiAlias=1

[out.txt]
Meter=STRING
X=205
Y=210
FontColor=255, 255, 255, 255
FontSize=10
StringAlign=Left
StringStyle=Normal
FontFace=#Font#
AntiAlias=1
Text="Upload:"

[Network.Traffic.Dl.graph1]
Meter=Line
MeasureName=TCPIn
X=125
Y=160
H=35
W=70
LineCount=1
LineColor=255, 255, 255, 180
AntiAlias=1
AutoScale=1

[Network.Traffic.Up.graph1]
Meter=Line
MeasureName=TCPOut
X=125
Y=200
H=25
W=70
LineCount=1
LineColor=255, 255, 255, 180 
AntiAlias=1
AutoScale=1

